/*
                     Manual Page Editor: Editor File IO
 */

#ifndef EDITORFIO_H
#define EDITORFIO_H

#include <gtk/gtk.h>
#include "editor.h"   


extern gint EditorFileLoad(
	editor_struct *editor, const gchar *filename,
	GtkCTreeNode *branch,		/* Insert after this toplevel trunk */
	gboolean as_template
);
extern gint EditorFileSave(
	editor_struct *editor,
	GtkCTreeNode *branch		/* Save data on this branch */
);
extern gint EditorFileSaveAs(
        editor_struct *editor, const gchar *filename,
        GtkCTreeNode *branch		/* Save data on this branch */
);


#endif	/* EDITORFIO_H */
